#!/bin/csh
# FC.CSH -- Link an IMFORT or host fortran program from IRAF.  A front end
# to XC, the purpose of this script is to determine the IRAF architecture
# and add the appropriate host compiler file to XC.

# set	echo
set hparch = `uname -m | sed -e 's+9000/\(.\)\(.*\)+\100+'`
set	MACH =	hp$hparch

set	args = ""

# Scan the argument list and concatenate all arguments.
while ("$1" != "")
    set args = "$args $1"
    shift
end

# Determine the desired architecture.
if (! $?IRAFARCH) then
    if ("$MACH" == "hp300") then
	setenv IRAFARCH "hp300"
    else if ("$MACH" == "hp700" || "$MACH" == "hp800") then
	setenv IRAFARCH "hp700"
    else
	setenv IRAFARCH "hp700"
    endif
endif

# Get float option switch.
switch ($IRAFARCH)
case hp300:
case hp700:
    set float = "-7"
    breaksw
default:
    set float = ""
    breaksw
endsw

# Call XC with the appropriate float option.
xc $float $args
