/*
 * XNAMES.H -- C callable external names of the SPP library procedures.
 * The C version of the name is identical to the SPP name except that it is
 * given as a macro in upper case.  The definition is the host system external
 * name of the Fortran procedure.  The trailing underscore in these names is
 * UNIX dependent; other systems use a leading underscore, or no special
 * characters at all (the purpose of the underscore on UNIX systems is to
 * avoid name collisions between C and Fortran procedures, since the F77
 * runtime library on UNIX is built on the UNIX/C library).  Change the names
 * in the column at the right if your system employs a different convention.
 *
 * If your system does not employ something like the underscore to avoid
 * name collisions, name collisions can be expected.  To fix these change
 * the name given here and add a define to lib$iraf.h to change the external
 * name generated by the preprocessor.  It is NOT necessary to resolve name
 * collisions by changing the actual program sources.
 *
 * The external names defined herein MUST agree with those in "hlib$iraf.h".
 */

#define	ACCESS		xfaccs 		/* to avoid name collisions */
#define	CALLOC		xcallc 
#define	CLOSE		xfcloe 
#define	DELETE		xfdele 
#define	ERROR		xerror 
#define	FLUSH		xffluh 
#define	GETC		xfgetc 
#define	GETCHAR		xfgetr 
#define	MALLOC		xmallc 
#define	MFREE		xmfree 
#define	MKTEMP		xmktep 
#define	NOTE		xfnote 
#define	OPEN		xfopen 
#define	PRINTF		xprinf 
#define	PUTC		xfputc 
#define	PUTCHAR		xfputr 
#define	QSORT		xqsort 
#define	READ		xfread 
#define	REALLOC		xrealc 
#define	SEEK		xfseek 
#define	SIZEOF		xsizef 
#define	UNGETC		xfungc 
#define	WRITE		xfwrie 

#define	AREAD		aread 		/* other VOS names */
#define	AREADB		areadb 
#define	AWAIT		await 
#define	AWAITB		awaitb 
#define	AWRITE		awrite 
#define	AWRITEB		awritb 
#define	BEGMEM		begmem 
#define	BRKTIME		brktie 
#define	BTOI		btoi 
#define	CLKTIME		clktie 
#define	CNVDATE		cnvdae 
#define	CNVTIME		cnvtie 
#define	COERCE		coerce 
#define	CPUTIME		cputie 
#define	CTOD		ctod 
#define	CTOX		ctox 
#define	DIROPEN		diropn 
#define	DTOC		dtoc 
#define	ENVFIND		envfid 
#define	ENVFREE		envfre 
#define	ENVGETB		envgeb 
#define	ENVGETI		envgei 
#define	ENVGETS		envges 
#define	ENVINIT		envint 
#define	ENVLIST		envlit 
#define ENVMARK		envmak 
#define	ENVPUTS		envpus 
#define	ENVRESET	envret 
#define	ENVSCAN		envscn 
#define	ERRACT		erract 
#define	ERRCODE		errcoe 
#define	ERRGET		errget 
#define	FALLOC		falloc 
#define	FATAL		xfatal 
#define	FCHDIR		xfchdr 
#define	FCOPY		fcopy 
#define	FCOPYO		fcopyo 
#define	FDEBUG		fdebug 
#define	FDELPF		fdelpf 
#define	FDEVBLK		fdevbk 
#define	FDIRNAME	fdirne 
#define	FILBUF		filbuf 
#define	FINFO		finfo 
#define	FIXMEM		fixmem 
#define	FLSBUF		flsbuf 
#define	FMAPFN		fmapfn 
#define	FMKDIR		fmkdir 
#define	FNEXTN		fnextn 
#define	FNLDIR		fnldir 
#define	FNROOT		fnroot 
#define	FNTCLS		fntcls 
#define	FNTGFN		fntgfn 
#define	FNTOPN		fntopn 
#define	FOWNER		fowner 
#define	FPATHNAME	fpathe 
#define	FPRINTF		fprinf 
#define	FREDIR		fredir 
#define	FSETI		fseti 
#define	FSTATI		fstati 
#define	FSTATL		fstatl 
#define	FSTATS		fstats 
#define	GETPID		xgtpid 
#define	GCTOD		gctod 
#define	GCTOL		gctol 
#define	GCTOX		gctox 
#define	GETLINE		getlie 
#define	GETUID		xgtuid 
#define	GLTOC		gltoc 
#define	GPATMAKE	gpatme 
#define	GPATMATCH	gpatmh 
#define	GSTRMATCH	gstrmh 
#define	GTR_GFLUSH	gtrgfh 
#define	IMACCESS	imaccs 
#define	IMDRCUR		imdrcr 
#define	IRAF_MAIN	irafmn 
#define	XISATTY		xisaty 
#define	XTTYSIZE	xttyse 
#define	ITOB		itob 
#define	KI_EXTNODE	kiexte 
#define	KI_MAPCHAN	kimapn 
#define	LEXNUM		lexnum 
#define	LPOPEN		lpopen 
#define	ONENTRY		onenty 
#define	ONERROR		onerrr 
#define	ONEXIT		onexit 
#define	OSCMD		oscmd 
#define	PARGB		pargb 
#define	PARGC		pargc 
#define	PARGD		pargd 
#define	PARGI		pargi 
#define	PARGL		pargl 
#define	PARGR		pargr 
#define	PARGS		pargs 
#define	PARGSTR		pargsr 
#define	PARGX		pargx 
#define	PRCHDIR		prchdr 
#define	PRCLCPR		prclcr 
#define	PRCLDPR		prcldr 
#define	PRCLOSE		prcloe 
#define	PRDONE		prdone 
#define	PRENVFREE	prenve 
#define	PRENVSET	prenvt 
#define	PRFILBUF	prfilf 
#define	PRKILL		prkill 
#define	PROPCPR		propcr 
#define	PROPDPR		propdr 
#define	PROPEN		propen 
#define	PROTECT		protet 
#define	PRREDIR		prredr 
#define	PRSIGNAL	prsigl 
#define	PRSTATI		prstai 
#define	PRUPDATE	prupde 
#define	PRPSINIT	prpsit 
#define	PUTCC		putcc 
#define	PUTLINE		putlie 
#define	RCURSOR		rcursr 
#define	RDUKEY		rdukey 
#define	RENAME		xfrnam 
#define	REOPEN		reopen 
#define	SALLOC		salloc 
#define	SFREE		sfree 
#define	SMARK		smark 
#define	SPRINTF		sprinf 
#define	STG_GETLINE	stggee 
#define	STG_PUTLINE	stgpue 
#define	STKCMP		stkcmp 
#define	STRMATCH	strmah 
#define	STROPEN		stropn 
#define	STRTBL		strtbl 
#define	STTYCO		sttyco 
#define	SYSRUK		sysruk 
#define	TSLEEP		tsleep 
#define	TTSETI		ttseti 
#define	TTSETS		ttsets 
#define	TTSTATI		ttstai 
#define	TTSTATS		ttstas 
#define	TTYCDES		ttycds 
#define	TTYCLEAR	ttyclr 
#define	TTYCLEARLN	ttycln 
#define	TTYCLOSE	ttycls 
#define	TTYCTRL		ttyctl 
#define	TTYGDES		ttygds 
#define	TTYGETB		ttygeb 
#define	TTYGETI		ttygei 
#define	TTYGETR		ttyger 
#define	TTYGETS		ttyges 
#define	TTYGOTO		ttygoo 
#define	TTYINIT		ttyint 
#define	TTYODES		ttyods 
#define	TTYOPEN		ttyopn 
#define	TTYPUTLINE	ttypue 
#define	TTYPUTS		ttypus 
#define	TTYSETI		ttysei 
#define	TTYSO		ttyso 
#define	TTYSTATI	ttysti 
#define	UNGETLINE	ungete 
#define	UNREAD		unread 
#define	URAND		urand 
#define	VFNOPEN		vfnopn 
#define	VFNCLOSE	vfncle 
#define	VFNMAP		vfnmap 
#define	VFNADD		vfnadd 
#define	VFNDEL		vfndel 
#define	VFNUNMAP	vfnunp 
#define	VMALLOC		vmallc 
#define	XACOS		xacos 
#define	XALLOCATE	xalloe 
#define	XASIN		xasin 
#define	XATAN		xatan 
#define	XATAN2		xatan2 
#define	XCOS		xcos 
#define	XDEALLOCATE	xdeale 
#define	XDEVOWNER	xdevor 
#define	XDEVSTATUS	xdevss 
#define XER_RESET	xerret 
#define	XEXP		xexp 
#define	XLOG		xlog 
#define	XLOG10		xlog10 
#define	XNINT		xnint 
#define	XMJBUF		xmjbuf 
#define	XONERR		xonerr 
#define	XPOW		xpow 
#define	XSIN		xsin 
#define	XSQRT		xsqrt 
#define	XTAN		xtan 
#define	XTOC		xtoc 
#define	XWHEN		xwhen 

#define	D_xnames
